Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.distribution
Interface Format

    @Profile(level=CORE)
    @UML(identifier="MD_Format",
         specification=ISO_19115)
    public interface Format

Description of the computer language construct that specifies the representation of data objects in a record, file, message, storage device or transmission channel.

Since:
  GeoAPI 2.0

Method Summary
`InternationalString` | `getAmendmentNumber()` Amendment number of the format version.
`InternationalString` | `getFileDecompressionTechnique()` Recommendations of algorithms or processes that can be applied to read or expand resources to which compression techniques have been applied.
`Collection<? extends Distributor>` | `getFormatDistributors()` Provides information about the distributor's format.
`InternationalString` | `getName()` Name of the data transfer format(s).
`InternationalString` | `getSpecification()` Name of a subset, profile, or product specification of the format.
`InternationalString` | `getVersion()` Version of the format (date, number, etc.).

Method Detail

### getName

    @Profile(level=CORE)
    @UML(identifier="name",
         obligation=MANDATORY,
         specification=ISO_19115)
    InternationalString getName()

  Name of the data transfer format(s).

### getVersion

    @Profile(level=CORE)
    @UML(identifier="version",
         obligation=MANDATORY,
         specification=ISO_19115)
    InternationalString getVersion()

  Version of the format (date, number, etc.).

### getAmendmentNumber

    @UML(identifier="amendmentNumber",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getAmendmentNumber()

  Amendment number of the format version.

### getSpecification

    @UML(identifier="specification",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getSpecification()

  Name of a subset, profile, or product specification of the format.

### getFileDecompressionTechnique

    @UML(identifier="fileDecompressionTechnique",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getFileDecompressionTechnique()

  Recommendations of algorithms or processes that can be applied to read or expand resources to which compression techniques have been applied.

### getFormatDistributors

    @UML(identifier="formatDistributor",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Distributor> getFormatDistributors()

  Provides information about the distributor's format.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.